Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class Content

    java.lang.Object
      org.jbpm.task.Content

All Implemented Interfaces:
  Externalizable, Serializable

    @Entity
    public class Content

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`Content()`
`Content(byte[] content)`

Method Summary
`boolean` | `equals(Object obj)`
`byte[]` | `getContent()`
`long` | `getId()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setContent(byte[] content)`
`void` | `setId(long id)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Content

    public Content()

### Content

    public Content(byte[] content)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public long getId()

### setId

    public void setId(long id)

### getContent

    public byte[] getContent()

### setContent

    public void setContent(byte[] content)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.